Summary: Qtbindings for OpenGTL and OpenShiva
Name: qtgtl
Version: 0.9.3
Release: %mkrel 3
License: GPLv2
Group: System/Libraries
Source: http://download.opengtl.org/libQtGTL-%{version}.tar.bz2
BuildRequires: qt4-devel
BuildRequires: cmake
BuildRequires: opengtl-devel >= 0.9.16

%description
Qtbindings for OpenGTL and OpenShiva.

#------------------------------------------------------------------------------
%define qtgtl_major 0.2
%define libqtgtl %mklibname QtGTL %qtgtl_major

%package -n %libqtgtl
Summary: Qtbinding for OpenGTL
Group: System/Libraries

%description -n %libqtgtl
Qtbinding for OpenGTL.

%files -n %libqtgtl
%{_libdir}/libQtGTL.so.%{qtgtl_major}
%{_libdir}/libQtGTL.so.*

#------------------------------------------------------------------------------
%define qtshiva_major 0.2
%define libqtshiva %mklibname QtShiva %qtshiva_major

%package -n %libqtshiva
Summary: Qtbinding for OpenShiva
Group: System/Libraries
Obsoletes:  %{_lib}QtShiva0.1 < %version-%release

%description -n %libqtshiva
Qtbinding for OpenShiva.

%files -n %libqtshiva
%{_libdir}/libQtShiva.so.%{qtshiva_major}
%{_libdir}/libQtShiva.so.*

#------------------------------------------------------------------------------
%package devel
Summary: Development files for Qtbindings for OpenGTL and OpenShiva
Group: Development/KDE and Qt
Requires: %libqtgtl = %version
Requires: %libqtshiva = %version
Provides: QtGTL-devel = %version-%release
Provides: qtshiva-devel = %version-%release
Provides: QtShiva-devel = %version-%release

%description devel
Development files for Qtbindings for OpenGTL and OpenShiva.

%files devel
%{_libdir}/*.so
%{_includedir}/QtGTL
%{_includedir}/QtShiva
%{_libdir}/pkgconfig/*.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n libQtGTL-%{version}
sed -i -e 's/^i$//g' CMakeLists.txt

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-3.mga4
+ Revision: 531357
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 neoclust <neoclust> 0.9.3-2.mga4
+ Revision: 463188
- Fix update by obsoleting old lib ( mga #10886)

* Sun Jun 30 2013 fwang <fwang> 0.9.3-1.mga4
+ Revision: 448548
- update libmajor
- new version 0.9.3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 379999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 fwang <fwang> 0.9.2-1.mga2
+ Revision: 204243
- fix typo in CMakeLists.txt
- new version 0.9.2

* Sun Jan 08 2012 fwang <fwang> 0.9.1-5.mga2
+ Revision: 193158
- fix build with latest opengtl
- rebuild for new opengtl

* Fri Feb 11 2011 ahmad <ahmad> 0.9.1-4.mga2
+ Revision: 50612
- imported package qtgtl


* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.9.1-3mdv2011.0
+ Revision: 589151
- we don't need this patch at the time

* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.9.1-2mdv2011.0
+ Revision: 588936
- add upstream patch to build with latest opengtl

* Sat Apr 17 2010 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2010.1
+ Revision: 535931
- New version 0.9.1

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 456411
- import qtgtl

